<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.2) on Sun Apr 12 19:31:53 EEST 2020 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../start/Generator_report.html#generareClient()">generareClient()</a></span> - Method in class start.<a href="../start/Generator_report.html" title="class in start">Generator_report</a></dt>
<dd>
<div class="block">Se creeaza documentul pdf pentru clienti.</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Generator_report.html#generareOrders()">generareOrders()</a></span> - Method in class start.<a href="../start/Generator_report.html" title="class in start">Generator_report</a></dt>
<dd>
<div class="block">Se creeaza un pdf cu comenzi.</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Generator_report.html#generareProduct()">generareProduct()</a></span> - Method in class start.<a href="../start/Generator_report.html" title="class in start">Generator_report</a></dt>
<dd>
<div class="block">Se creeaza un pdf cu produsele din depozit.</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Generator_report.html#generateBill(java.lang.String,java.lang.String,int,double)">generateBill(String, String, int, double)</a></span> - Method in class start.<a href="../start/Generator_report.html" title="class in start">Generator_report</a></dt>
<dd>
<div class="block">Se genereaza un pdf cu factura comenzii.</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Generator_report.html#generateT4()">generateT4()</a></span> - Method in class start.<a href="../start/Generator_report.html" title="class in start">Generator_report</a></dt>
<dd>
<div class="block">Se genereaza tabelul 4: comenzile anulate.</div>
</dd>
<dt><a href="../start/Generator.html" title="class in start"><span class="typeNameLink">Generator</span></a> - Class in <a href="../start/package-summary.html">start</a></dt>
<dd>
<div class="block">Aceasta clasa se ocupa cu instructiunile de inserare, stergere si update.</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Generator.html#%3Cinit%3E(int,int,int,double,java.lang.String,java.lang.String,java.lang.String)">Generator(int, int, int, double, String, String, String)</a></span> - Constructor for class start.<a href="../start/Generator.html" title="class in start">Generator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../start/Generator_report.html" title="class in start"><span class="typeNameLink">Generator_report</span></a> - Class in <a href="../start/package-summary.html">start</a></dt>
<dd>
<div class="block">Se genereaza rapoartele pdf ale tabelelor dorite.</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Generator_report.html#%3Cinit%3E(int,int)">Generator_report(int, int)</a></span> - Constructor for class start.<a href="../start/Generator_report.html" title="class in start">Generator_report</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#getAddress()">getAddress()</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>
<div class="block">se returneaza adresa clientului</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Instructiune.html#getAdr()">getAdr()</a></span> - Method in class start.<a href="../start/Instructiune.html" title="class in start">Instructiune</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../start/Instructiune.html#getCant()">getCant()</a></span> - Method in class start.<a href="../start/Instructiune.html" title="class in start">Instructiune</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getCantitate()">getCantitate()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>
<div class="block">se returneaza cantitatea comandata</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getCantitate()">getCantitate()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>
<div class="block">se returneaza cantitatea ramasa in depozit</div>
</dd>
<dt><span class="memberNameLink"><a href="../connection/ConnectionFactory.html#getConnection()">getConnection()</a></span> - Static method in class connection.<a href="../connection/ConnectionFactory.html" title="class in connection">ConnectionFactory</a></dt>
<dd>
<div class="block">returnare conexiune</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Canceled_order.html#getId()">getId()</a></span> - Method in class model.<a href="../model/Canceled_order.html" title="class in model">Canceled_order</a></dt>
<dd>
<div class="block">se returneaza id-ul comenzii</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getId()">getId()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>
<div class="block">se returneaza id-ul comenzii</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Instructiune.html#getInstr()">getInstr()</a></span> - Method in class start.<a href="../start/Instructiune.html" title="class in start">Instructiune</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#getName()">getName()</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>
<div class="block">se returneaza numele clientului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getName()">getName()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>
<div class="block">se returneaza numele clientului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getName()">getName()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>
<div class="block">se returneaza numele produsului</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Instructiune.html#getNume_1(java.lang.String%5B%5D)">getNume_1(String[])</a></span> - Method in class start.<a href="../start/Instructiune.html" title="class in start">Instructiune</a></dt>
<dd>
<div class="block">Se extrag detaliile despre client.</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Instructiune.html#getNume_2(java.lang.String%5B%5D)">getNume_2(String[])</a></span> - Method in class start.<a href="../start/Instructiune.html" title="class in start">Instructiune</a></dt>
<dd>
<div class="block">Se extrag detaliile despre produs.</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Instructiune.html#getNume_3(java.lang.String%5B%5D)">getNume_3(String[])</a></span> - Method in class start.<a href="../start/Instructiune.html" title="class in start">Instructiune</a></dt>
<dd>
<div class="block">Se extrag detaliile despre comanda.</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Instructiune.html#getNumeC()">getNumeC()</a></span> - Method in class start.<a href="../start/Instructiune.html" title="class in start">Instructiune</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../start/Instructiune.html#getNumep()">getNumep()</a></span> - Method in class start.<a href="../start/Instructiune.html" title="class in start">Instructiune</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getPret()">getPret()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>
<div class="block">se returneaza pretul produsului</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Instructiune.html#getPret()">getPret()</a></span> - Method in class start.<a href="../start/Instructiune.html" title="class in start">Instructiune</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getProduct()">getProduct()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>
<div class="block">se returneaza numele produsului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Canceled_order.html#getReason()">getReason()</a></span> - Method in class model.<a href="../model/Canceled_order.html" title="class in model">Canceled_order</a></dt>
<dd>
<div class="block">se returneaza motivul anularii comenzii</div>
</dd>
<dt><span class="memberNameLink"><a href="../start/Instructiune.html#getTab()">getTab()</a></span> - Method in class start.<a href="../start/Instructiune.html" title="class in start">Instructiune</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
